Package com.verisign.epp.exception

## Class EPPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `EnvException`, `EPPAssemblerException`, `EPPCodecException`, `EPPCommandException`, `EPPConException`, `EPPEnvException`, `EPPEventException`, `EPPHandleEventException`, `EPPLogException`, `EPPParserException`, `EPPPollQueueException`

      public class EPPException
      extends java.lang.Exception

  Represents the base class for all EPP package exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPException​(java.lang.String aInfo)` | Constructor for `EPPException` that requires a info `String` description.
    `EPPException​(java.lang.String aInfo, java.lang.Throwable aCause)` | Constructor for `EPPException` that requires a info `String` description and a cause `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPException

          public EPPException​(java.lang.String aInfo)

      Constructor for `EPPException` that requires a info `String` description.
      Parameters:
        `aInfo` - text description

    - #### EPPException

          public EPPException​(java.lang.String aInfo,
                              java.lang.Throwable aCause)

      Constructor for `EPPException` that requires a info `String` description and a cause `Throwable`.
      Parameters:
        `aInfo` - text description
        `aCause` - Cause of the `EPPException`